
Redmine - Defect #18044

Web application could not be started

2014-10-08 01:29 - sbh bhs

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

My redmine stoped to work ufter some updates.

It worked fine before i'd restart Apache.

Now i see errors like this:

Web application could not be started

An error occurred while starting up the preloader. It exited before signalling successful startup back to Phusion Passenger. Please

read this article for more information about this problem.

Raw process output:

(empty)

Error ID

5e790e73

Application root

/usr/local/www/redmine

Environment (value of RAILS_ENV, RACK_ENV, WSGI_ENV, NODE_ENV and PASSENGER_APP_ENV)

production

Ruby interpreter command

/usr/local/bin/ruby19

User and groups

uid=80(www) gid=80(www) groups=80(www)

Environment variables

SERVER_SOFTWARE=Apache/2.2.29 (FreeBSD) PHP/5.3.29 with Suhosin-Patch Phusion_Passenger/4.0.53 mod_ssl/2.2.29

OpenSSL/1.0.1e-freebsd DAV/2

SERVER_PROTOCOL=HTTP/1.1

SERVER_NAME=rm.i.vvtf.ru

SERVER_ADMIN=it@vvtf.ru

SERVER_ADDR=192.168.10.202

SERVER_PORT=443

REMOTE_ADDR=192.168.10.45

REMOTE_PORT=36592

REQUEST_METHOD=GET

QUERY_STRING=

HTTPS=on

DOCUMENT_ROOT=/usr/local/www/redmine/public/

REQUEST_URI=/

UNIQUE_ID=VDR2acCoCsoAAQBtPW8AAAAC

SSL_TLS_SNI=rm.i.vvtf.ru

PASSENGER_APP_ENV=production

NODE_ENV=production

WSGI_ENV=production

RACK_ENV=production

RAILS_ENV=production

NODE_PATH=/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/node_lib

PYTHONUNBUFFERED=1

IN_PASSENGER=1

PWD=/usr/local/www/redmine

HOME=/nonexistent

SHELL=/usr/sbin/nologin

LOGNAME=www

USER=www
PASSENGER_DEBUG_DIR=/tmp/passenger.spawn-debug.IcG8lpxIiV

PATH=/sbin:/bin:/usr/sbin:/usr/bin

LD_LIBRARY_PATH=/usr/local/lib:/usr/local/lib

RC_PID=65607

Ulimits

cpu time               (seconds, t)  unlimited

file size           (512-blocks, -f)  unlimited

data seg size           (kbytes, -d)  524288

stack size              (kbytes, -s)  65536

core file size      (512-blocks, -c)  unlimited

max memory size         (kbytes, -m)  unlimited

locked memory           (kbytes, -l)  131072

max user processes              (-u)  5547

open files                      (-n)  28890

virtual mem size        (kbytes, -v)  unlimited

swap limit              (kbytes, -w)  unlimited

sbsize                   (bytes, -b)  unlimited

pseudo-terminals                (-p)  unlimited

System metrics

------------ General -------------

Kernel version    : 10.0-RELEASE-p9

Uptime            : 17h 52m 25s

Load averages     : 1.19%, 0.85%, 0.78%

------------- CPU -------------

Number of CPUs    :    2

Average CPU usage :   0%  --   0% user,   0% nice,   0% system, 100% idle

CPU 1           :   0%  --   0% user,   0% nice,   0% system, 100% idle

CPU 2           :   0%  --   0% user,   0% nice,   0% system, 100% idle

------------- Memory -------------

RAM total         :   1003 MB

RAM used          :    385 MB (38%)

RAM free          :    618 MB

Swap total        :   2560 MB

Swap used         :     94 MB (4%)

Swap free         :   2465 MB

General Ruby interpreter information

RUBY_VERSION = 1.9.3

RUBY_PLATFORM = i386-freebsd10

RUBY_ENGINE = ruby

RubyGems version = 1.8.29

RubyGems paths = ["/usr/local/lib/ruby/gems/1.9"]

Ruby configuration (RbConfig::CONFIG)

DESTDIR =

MAJOR = 1

MINOR = 9

TEENY = 1

PATCHLEVEL = 547

INSTALL = /usr/bin/install -c -o root -g wheel

EXEEXT =

prefix = /usr/local

ruby_install_name = ruby19

RUBY_INSTALL_NAME = ruby19

RUBY_SO_NAME = ruby19

exec = exec

ruby_pc = ruby-1.9.pc

PACKAGE = ruby

BUILTIN_TRANSSRCS =  newline.c

USE_RUBYGEMS = YES

MANTYPE = doc

NROFF = /usr/bin/nroff

vendorhdrdir = /usr/local/include/ruby-1.9//vendor_ruby

sitehdrdir = /usr/local/include/ruby-1.9//site_ruby

rubyhdrdir = /usr/local/include/ruby-1.9/

UNIVERSAL_INTS =
UNIVERSAL_ARCHNAMES =

configure_args =  '--with-rubyhdrdir=/usr/local/include/ruby-1.9/' '--with-rubylibprefix=/usr/local/lib/ruby'

'--docdir=/usr/local/share/doc/ruby19' '--with-soname=ruby19' '--program-prefix=' '--program-suffix=19' '--enable-shared'

'--enable-pthread' '--disable-rpath' '--with-ruby-version=minor' '--with-sitedir=/usr/local/lib/ruby/site_ruby'

'--with-vendordir=/usr/local/lib/ruby/vendor_ruby' '--disable-install-capi' '--disable-install-rdoc' '--disable-libedit'

'--with-readline-prefix=/usr/local' '--prefix=/usr/local' '--mandir=/usr/local/man' '--infodir=/usr/local/info/' '--build=i386-portbld-freebsd10'

'build_alias=i386-portbld-freebsd10' 'CC=cc' 'CFLAGS=-O2 -pipe -fno-strict-aliasing' 'LDFLAGS= -Wl,-rpath,/usr/lib:/usr/local/lib'

'LIBS=-L/usr/local/lib -pthread' 'CPPFLAGS=-I/usr/local/include' 'CXX=c++' 'CXXFLAGS=-O2 -pipe -fno-strict-aliasing' 'CPP=cpp'

vendordir = /usr/local/lib/ruby/vendor_ruby

sitedir = /usr/local/lib/ruby/site_ruby

ruby_version = 1.9

sitearch = i386-freebsd10

arch = i386-freebsd10

RI_BASE_NAME = ri

ridir = /usr/local/share/ri

rubylibprefix = /usr/local/lib/ruby

MAKEFILES = Makefile

PLATFORM_DIR =

THREAD_MODEL = pthread

SYMBOL_PREFIX =

EXPORT_PREFIX =

COMMON_HEADERS =

COMMON_MACROS =

COMMON_LIBS =

MAINLIBS = -pthread

ENABLE_SHARED = yes

DLDLIBS =  -lc

SOLIBS = -lexecinfo -lcrypt -lm -L/usr/local/lib -pthread

LIBRUBYARG_SHARED = -lruby19

LIBRUBYARG_STATIC = -lruby19-static

LIBRUBYARG = -lruby19

LIBRUBY = libruby19.so.19

LIBRUBY_ALIASES = libruby19.so

LIBRUBY_SO = libruby19.so.19

LIBRUBY_A = libruby19-static.a

RUBYW_INSTALL_NAME =

rubyw_install_name =

LIBRUBY_DLDFLAGS = -Wl,-soname,libruby19.so.19

LIBRUBY_LDSHARED = cc -shared

EXTDLDFLAGS =

warnflags = -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Wpointer-arith

-Wwrite-strings -Wdeclaration-after-statement -Wshorten-64-to-32 -Wimplicit-function-declaration

debugflags =

optflags = -O3

cxxflags =  -O3  -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers

-Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wshorten-64-to-32 -Wimplicit-function-declaration

cflags =  -O3  -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers

-Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wshorten-64-to-32 -Wimplicit-function-declaration

cppflags = -I/usr/local/include

NULLCMD = :

INSTALLDOC = nodoc

CAPITARGET = nodoc

RDOCTARGET = nodoc

EXECUTABLE_EXTS =

ARCHFILE =

LIBRUBY_RELATIVE = no

EXTOUT = .ext

PREP = miniruby

TEST_RUNNABLE = yes

setup = Setup

EXTSTATIC =

STRIP = strip

TRY_LINK =

LIBPATHENV = LD_LIBRARY_PATH

RPATHFLAG =

LIBPATHFLAG =  -L%s

LINK_SO =
LIBEXT = a

DLEXT2 =

DLEXT = so

LDSHAREDXX = c++ -shared

LDSHARED = cc -shared

CCDLFLAGS = -fPIC

STATIC =

ARCH_FLAG =

DLDFLAGS =

ALLOCA =

codesign =

POSTLINK = :

WERRORFLAG = -Werror

CHDIR = cd -P

RMALL = rm -fr

RMDIRS = rmdir -p

RMDIR = rmdir

CP = cp

RM = rm -f

PKG_CONFIG = pkg-config

DOXYGEN =

DOT =

MAKEDIRS = /bin/mkdir -p

MKDIR_P = /bin/mkdir -p

INSTALL_DATA = install  -o root -g wheel -m 0644

INSTALL_SCRIPT = install  -o root -g wheel -m 555

INSTALL_PROGRAM = install  -s -o root -g wheel -m 555

SET_MAKE =

LN_S = ln -s

NM = nm

DLLWRAP =

WINDRES =

OBJCOPY = :

OBJDUMP = objdump

ASFLAGS =

AS = as

AR = ar

RANLIB = ranlib

try_header =

COUTFLAG = -o

OUTFLAG = -o

CPPOUTFILE = -o conftest.i

GNU_LD = yes

GCC = yes

EGREP = /usr/bin/egrep

GREP = /usr/bin/grep

CPP = cpp

CXXFLAGS = -O2 -pipe -fno-strict-aliasing

CXX = c++

OBJEXT = o

CPPFLAGS = -I/usr/local/include  -I/usr/local/include

LDFLAGS = -L.  -Wl,-rpath,/usr/lib:/usr/local/lib -rdynamic

CFLAGS = -O2 -pipe -fno-strict-aliasing -fPIC

CC = cc

target_os = freebsd10

target_vendor = portbld

target_cpu = i386

target = i386-portbld-freebsd10

host_os = freebsd10

host_vendor = portbld

host_cpu = i386

host = i386-portbld-freebsd10

RUBYW_BASE_NAME = rubyw

RUBY_BASE_NAME = ruby

build_os = freebsd10

build_vendor = portbld

build_cpu = i386
build = i386-portbld-freebsd10

RUBY_RELEASE_DATE = 2014-05-14

RUBY_PROGRAM_VERSION = 1.9.3

BASERUBY = ruby

target_alias =

host_alias =

build_alias = i386-portbld-freebsd10

LIBS = -lexecinfo -lcrypt -lm -L/usr/local/lib -pthread

ECHO_T =

ECHO_N = -n

ECHO_C =

DEFS =

mandir = /usr/local/man

localedir = /usr/local/share/locale

libdir = /usr/local/lib

psdir = /usr/local/share/doc/ruby19

pdfdir = /usr/local/share/doc/ruby19

dvidir = /usr/local/share/doc/ruby19

htmldir = /usr/local/share/doc/ruby19

infodir = /usr/local/info

docdir = /usr/local/share/doc/ruby19

oldincludedir = /usr/include

includedir = /usr/local/include

localstatedir = /usr/local/var

sharedstatedir = /usr/local/com

sysconfdir = /usr/local/etc

datadir = /usr/local/share

datarootdir = /usr/local/share

libexecdir = /usr/local/libexec

sbindir = /usr/local/sbin

bindir = /usr/local/bin

program_transform_name = s&$&19&;s&^&&

exec_prefix = /usr/local

PACKAGE_URL =

PACKAGE_BUGREPORT =

PACKAGE_STRING =

PACKAGE_VERSION =

PACKAGE_TARNAME =

PACKAGE_NAME =

PATH_SEPARATOR = :

SHELL = /bin/sh

rubylibdir = /usr/local/lib/ruby/1.9

archdir = /usr/local/lib/ruby/1.9/i386-freebsd10

sitelibdir = /usr/local/lib/ruby/site_ruby/1.9

sitearchdir = /usr/local/lib/ruby/site_ruby/1.9/i386-freebsd10

vendorlibdir = /usr/local/lib/ruby/vendor_ruby/1.9

vendorarchdir = /usr/local/lib/ruby/vendor_ruby/1.9/i386-freebsd10

topdir = /usr/local/lib/ruby/1.9/i386-freebsd10

Ruby load path ($LOAD_PATH)

/usr/local/lib/ruby/site_ruby/1.9

/usr/local/lib/ruby/site_ruby/1.9/i386-freebsd10

/usr/local/lib/ruby/site_ruby

/usr/local/lib/ruby/vendor_ruby/1.9

/usr/local/lib/ruby/vendor_ruby/1.9/i386-freebsd10

/usr/local/lib/ruby/vendor_ruby

/usr/local/lib/ruby/1.9

/usr/local/lib/ruby/1.9/i386-freebsd10

Ruby loaded libraries ($LOADED_FEATURES)

enumerator.so

/usr/local/lib/ruby/1.9/i386-freebsd10/enc/encdb.so

/usr/local/lib/ruby/1.9/i386-freebsd10/enc/trans/transdb.so

/usr/local/lib/ruby/site_ruby/1.9/rubygems/defaults.rb

/usr/local/lib/ruby/1.9/i386-freebsd10/rbconfig.rb

/usr/local/lib/ruby/site_ruby/1.9/rubygems/deprecate.rb

/usr/local/lib/ruby/site_ruby/1.9/rubygems/exceptions.rb

/usr/local/lib/ruby/site_ruby/1.9/rubygems/custom_require.rb

/usr/local/lib/ruby/site_ruby/1.9/rubygems.rb
/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger.rb

/usr/local/lib/ruby/1.9/i386-freebsd10/etc.so

/usr/local/lib/ruby/1.9/fileutils.rb

/usr/local/lib/ruby/1.9/tmpdir.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/utils/tmpio.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/platform_info.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/platform_info/operating_system.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/platform_info/ruby.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/platform_info/binary_compatibility.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/buildout/ruby/ruby-1.9.3-x86-freebsd10/passenger_native_support.so

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/native_support.rb

/usr/local/lib/ruby/1.9/i386-freebsd10/socket.so

/usr/local/lib/ruby/1.9/socket.rb

/usr/local/lib/ruby/1.9/thread.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/ruby_core_enhancements.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/utils/tmpdir.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/utils.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/preloader_shared_helpers.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/constants.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/public_api.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/debug_logging.rb

/usr/local/lib/ruby/1.9/shellwords.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/utils/shellwords.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/loader_shared_helpers.rb

/usr/local/lib/ruby/1.9/i386-freebsd10/fcntl.so

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/message_channel.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/message_client.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/utils/native_support_utils.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/utils/unseekable_socket.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/request_handler/thread_handler.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/request_handler.rb

/usr/local/lib/ruby/1.9/i386-freebsd10/stringio.so

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/utils/tee_input.rb

/usr/local/lib/ruby/gems/1.9/gems/passenger-4.0.53/lib/phusion_passenger/rack/thread_handler_extension.rb

History

#1 - 2014-10-08 02:14 - sbh bhs

- File 2.PNG added

- File 3.PNG added

when i'm trying to start passenger i see this

 2.PNG 

But i've installed PCRE.

 3.PNG 

#2 - 2014-10-08 02:32 - sbh bhs

If i'm trying to reinstall passenger (4.0.49 or 4.0.50) i have such error:

rubygem-passenger-4.0.49 is marked as broken: : Error from bsd.apache.mk. apache22 is installed (or APACHE_POR

T is defined) and port requires apache.

#3 - 2014-10-08 05:15 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please use forum for such question.

Files

2.PNG 59.2 KB 2014-10-08 sbh bhs

3.PNG 1.11 KB 2014-10-08 sbh bhs
